ServerEvents.recipes(event => {

	event.recipes.create.sequenced_assembly([
        'immersiveengineering:component_electronic'
     ], 'immersiveengineering:slab_treated_wood_horizontal', [
        event.recipes.createDeploying('kubejs:incomplete_component_electronic', ['kubejs:incomplete_component_electronic', 'immersiveengineering:wire_copper']),
        event.recipes.createDeploying('kubejs:incomplete_component_electronic', ['kubejs:incomplete_component_electronic', 'minecraft:quartz'])
     ]).transitionalItem('kubejs:incomplete_component_electronic').loops(1)

	event.recipes.create.sequenced_assembly([
        'immersiveengineering:component_electronic_adv'
     ], 'immersiveengineering:plate_duroplast', [
        event.recipes.createDeploying('kubejs:incomplete_component_electronic_adv', ['kubejs:incomplete_component_electronic_adv', 'actuallyadditions:empowered_void_crystal']),
        event.recipes.createDeploying('kubejs:incomplete_component_electronic_adv', ['kubejs:incomplete_component_electronic_adv', 'immersiveengineering:wirecoil_copper']),
        event.recipes.createDeploying('kubejs:incomplete_component_electronic_adv', ['kubejs:incomplete_component_electronic_adv', 'immersiveengineering:wire_electrum']),
        event.recipes.createDeploying('kubejs:incomplete_component_electronic_adv', ['kubejs:incomplete_component_electronic_adv', 'immersiveengineering:electron_tube'])
     ]).transitionalItem('kubejs:incomplete_component_electronic_adv').loops(1)

    event.remove({id: 'immersiveengineering:blueprint/component_electronic'})
	event.remove({id: 'immersiveengineering:crafting/light_engineering'})
	event.recipes.createSequencedAssembly([
		'immersiveengineering:light_engineering'
	   ], 'kubejs:light_engineering_empty', [
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'immersiveengineering:component_electronic']),
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'create:fluid_pipe']),
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'kubejs:fluorescent_tube']),
	]).transitionalItem('kubejs:light_engineering_empty').loops(1)

	event.recipes.create.haunting('kubejs:soul_fuse', 'kubejs:empty_fuse')

	event.remove({id: 'immersiveengineering:blueprint/component_electronic_adv'})
	event.remove({id: 'immersiveengineering:crafting/heavy_engineering'})
	event.recipes.createSequencedAssembly([
		'immersiveengineering:heavy_engineering'
	],  'kubejs:heavy_engineering_empty', [
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'kubejs:soul_fuse']),
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'immersiveengineering:component_electronic']),
		event.recipes.createDeploying('kubejs:light_engineering_empty', ['kubejs:light_engineering_empty', 'create:electron_tube']),
	]).transitionalItem('kubejs:heavy_engineering_empty').loops(1)

	event.recipes.create.sequenced_assembly([
        'kubejs:cobblestone_bucket'
    ],  'minecraft:bucket', [
		event.recipes.createDeploying('minecraft:bucket', ['minecraft:bucket', 'minecraft:cobblestone']),
    ]).transitionalItem('minecraft:bucket',).loops(32)
    event.smelting('minecraft:lava_bucket', 'kubejs:cobblestone_bucket')

    event.recipes.create.sequenced_assembly([
        'kubejs:party_popper'
    ], 'minecraft:paper', [
        event.recipes.createDeploying('minecraft:paper', ['minecraft:paper', 'supplementaries:confetti_popper']),
    ]).transitionalItem('minecraft:paper',).loops(32)

    event.remove({ id: 'actuallyadditions:wooden_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:wooden_aiot'
    ], 'minecraft:wooden_sword', [
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'minecraft:wooden_pickaxe']),
        event.recipes.createPressing('minecraft:wooden_sword', 'minecraft:wooden_sword'),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'minecraft:wooden_axe']),
        event.recipes.createPressing('minecraft:wooden_sword', 'minecraft:wooden_sword'),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'minecraft:wooden_shovel']),
        event.recipes.createPressing('minecraft:wooden_sword', 'minecraft:wooden_sword'),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:wooden_sword', ['minecraft:wooden_sword', 'minecraft:wooden_hoe']),
        event.recipes.createPressing('minecraft:wooden_sword', 'minecraft:wooden_sword')
    ]).transitionalItem('minecraft:wooden_sword').loops(1)

    event.remove({ id: 'actuallyadditions:stone_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:stone_aiot'
    ], 'minecraft:stone_sword', [
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'minecraft:stone_pickaxe']),
        event.recipes.createPressing('minecraft:stone_sword', 'minecraft:stone_sword'),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'minecraft:stone_axe']),
        event.recipes.createPressing('minecraft:stone_sword', 'minecraft:stone_sword'),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'minecraft:stone_shovel']),
        event.recipes.createPressing('minecraft:stone_sword', 'minecraft:stone_sword'),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'thermal:rubber']),
        event.recipes.createDeploying('minecraft:stone_sword', ['minecraft:stone_sword', 'minecraft:stone_hoe']),
        event.recipes.createPressing('minecraft:stone_sword', 'minecraft:stone_sword')
    ]).transitionalItem('minecraft:stone_sword').loops(1)

    event.remove({ id: 'actuallyadditions:iron_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:iron_aiot'
    ], 'minecraft:iron_sword', [
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'minecraft:iron_pickaxe']),
        event.recipes.createPressing('minecraft:iron_sword', 'minecraft:iron_sword'),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'minecraft:iron_axe']),
        event.recipes.createPressing('minecraft:iron_sword', 'minecraft:iron_sword'),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'minecraft:iron_shovel']),
        event.recipes.createPressing('minecraft:iron_sword', 'minecraft:iron_sword'),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:iron_sword', ['minecraft:iron_sword', 'minecraft:iron_hoe']),
        event.recipes.createPressing('minecraft:iron_sword', 'minecraft:iron_sword')
    ]).transitionalItem('minecraft:iron_sword').loops(1)

    event.remove({ id: 'actuallyadditions:gold_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:gold_aiot'
    ], 'minecraft:golden_sword', [
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'minecraft:golden_pickaxe']),
        event.recipes.createPressing('minecraft:golden_sword', 'minecraft:golden_sword'),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'minecraft:golden_axe']),
        event.recipes.createPressing('minecraft:golden_sword', 'minecraft:golden_sword'),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'minecraft:golden_shovel']),
        event.recipes.createPressing('minecraft:golden_sword', 'minecraft:golden_sword'),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:golden_sword', ['minecraft:golden_sword', 'minecraft:golden_hoe']),
        event.recipes.createPressing('minecraft:golden_sword', 'minecraft:golden_sword')
    ]).transitionalItem('minecraft:golden_sword').loops(1)

    event.remove({ id: 'actuallyadditions:diamond_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:diamond_aiot'
    ], 'minecraft:diamond_sword', [
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'minecraft:diamond_pickaxe']),
        event.recipes.createPressing('minecraft:diamond_sword', 'minecraft:diamond_sword'),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'minecraft:diamond_axe']),
        event.recipes.createPressing('minecraft:diamond_sword', 'minecraft:diamond_sword'),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'minecraft:diamond_shovel']),
        event.recipes.createPressing('minecraft:diamond_sword', 'minecraft:diamond_sword'),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:diamond_sword', ['minecraft:diamond_sword', 'minecraft:diamond_hoe']),
        event.recipes.createPressing('minecraft:diamond_sword', 'minecraft:diamond_sword')
    ]).transitionalItem('minecraft:diamond_sword').loops(1)

    event.remove({ id: 'actuallyadditions:netherite_aiot' })
    event.recipes.create.sequenced_assembly([
        'actuallyadditions:netherite_aiot'
    ], 'minecraft:netherite_sword', [
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'minecraft:netherite_pickaxe']),
        event.recipes.createPressing('minecraft:netherite_sword', 'minecraft:netherite_sword'),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'minecraft:netherite_axe']),
        event.recipes.createPressing('minecraft:netherite_sword', 'minecraft:netherite_sword'),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'minecraft:netherite_shovel']),
        event.recipes.createPressing('minecraft:netherite_sword', 'minecraft:netherite_sword'),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'thermal:cured_rubber']),
        event.recipes.createDeploying('minecraft:netherite_sword', ['minecraft:netherite_sword', 'minecraft:netherite_hoe']),
        event.recipes.createPressing('minecraft:netherite_sword', 'minecraft:netherite_sword')
    ]).transitionalItem('minecraft:netherite_sword').loops(1)

    event.recipes.create.sequenced_assembly(['minecraft:cake'],
        'createaddition:cake_base_baked', [
        event.recipes.createFilling('createaddition:cake_base_baked', ['createaddition:cake_base_baked', Fluid.of('minecraft:milk', 1000)]),
        event.recipes.createDeploying('createaddition:cake_base_baked', ['createaddition:cake_base_baked', 'minecraft:sweet_berries'])
    ]).transitionalItem('createaddition:cake_base_baked',).loops(1)

    event.remove({ id: 'create:sequenced_assembly/track' })
    event.recipes.create.sequenced_assembly(['create:track'],
        '#create:sleepers', [
        event.recipes.createDeploying('create:incomplete_track', ['create:incomplete_track', 'immersiveengineering:ingot_steel']),
        event.recipes.createDeploying('create:incomplete_track', ['create:incomplete_track', 'create:zinc_ingot']),
        event.recipes.createPressing('create:incomplete_track', 'create:incomplete_track')
    ]).transitionalItem('create:incomplete_track',).loops(1)
    
})